
Redmine - Defect #1774

Repository/Activity change listing displays erroneous added files

2008-08-12 14:16 - blink eye

Status: Closed Start date: 2008-08-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Clicking on a git SHA1 value in Activity/Repository displays files, which have not been added with that commit (but during a commit

way before). This issue is reproducable when cleaning up the cached history:

redmine_db=# delete from changesets;

redmine_db=# alter SEQUENCE changesets_id_seq RESTART 1;

 Happens with git-core 1.5.6.3-1, postgresql-8.3.3-1, ruby-1.8.7.22 and redmine-devel-1725.

History

#1 - 2008-08-25 22:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid

You get this problem after reseting changesets_id sequence because it's used as a foreign key in changes table (this table contains file changes).

So if you want to delete changesets table content, delete changes table content as well.

#2 - 2008-08-26 09:48 - blink eye

thanks a lot for pointing that out. the correct way of resetting cached git entries seems to be:

redmine=# delete from changesets;

redmine=# alter SEQUENCE changesets_id_seq RESTART 1;

redmine=# delete from changes; 

redmine=# alter SEQUENCE changes_id_seq RESTART 1;

 you may need to do that if you ever rebase or ammend your git history.
